#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <string.h>

#ifdef _WIN32
#include <Windows.h>
#else
#include <unistd.h>
#endif

#define GPS_LONG_LAT_SIZE 22

int main() {
	
	char buffer[100];
	FILE* openFile = fopen ("input.txt" , "r");
	if (openFile == NULL) perror ("Error opening file");
	
	printf("latitude, longitude\n");
	
	while (fgets (buffer, GPS_LONG_LAT_SIZE, openFile) != NULL) {
		//printf("%s\n", buffer);
		
		char tempbuffer[20];
		memcpy(tempbuffer, buffer, 10);
		tempbuffer[10] = 0;
		
		double tempdouble = atof(tempbuffer);
		int tempint = tempdouble / 100;
		tempdouble = tempint + ((tempdouble - (tempint * 100)) / 60);
		printf("-%f", tempdouble);
		
		memcpy(tempbuffer, buffer+10, 11);
		tempbuffer[11] = 0;
		
		tempdouble = atof(tempbuffer);
		tempint = tempdouble / 100;
		tempdouble = tempint + ((tempdouble - (tempint * 100)) / 60);
		printf(", %f\n", tempdouble);
		
	}
	fclose (openFile);
	
	return(0);
}